@import '@angular/material/prebuilt-themes/deeppurple-amber.css';
@import 'assets/css/fonts.css';
@import 'assets/css/sb-admin-2.min.css';

body{
  font-family: 'Oswald', sans-serif !important;
}

.overflowed{
  overflow:hidden;
}

.loader{
  background: url("/assets/loader-red.svg") no-repeat center center;
  width: 100%;
  height: 50px;
  text-align: center;
}

.ui-alert{
  position: fixed !important;
  z-index: 5;
  bottom: 0 !important;
  right: 10px !important;
}

.paginator{
  width: 100%;
  padding: 20px 0;
  display: block;
  float: left;

  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
.paginator .page-numbers{
  float: right;
}

.paginator .page-numbers div{
  display: inline-block;
  margin: 0 5px;
  font-size: 14px;
}
.paginator .page-numbers .current span{
  background: #4e73df;
  color: #fff;
  display: inline-block;
  width: 29px;
  height: 29px;
  line-height: 30px;
  text-align: center;
  font-weight: bold;
}
.paginator .page-numbers a{
  cursor: pointer;
  display: inline-block;
  color: #000;
  width: 30px;
  height: 30px;
  line-height: 30px;
  text-align: center;
  font-weight: bold;
  border: 1px solid #fff;

  &:hover{
    border: 1px solid #4e73df;
  }

  &.prev{

  }
  &.next{

  }

}
.paginator .page-limit{
  float: left;
  font-size: 14px;
}
.paginator .page-limit label{
  margin: 0 3px 0 0;
}
.paginator .page-limit select{
  padding: 2px 5px;
}

.table {
  .sortable{
    cursor: pointer;

    &:hover{
      color: #4e73df;
    }
  }
}

.table td,
.table th{
  padding: 0.35rem !important;

  &.text-right{
    button,
    a{
      &:hover{
        background: #fff;
      }
    }
  }

}

.form-group{

  label{

    font-weight: 700;
    text-transform: uppercase;
    font-size: 12px;

  }

}

.input-help-block{
  position: absolute;
  bottom: -20px;
}


.form-group {
  &.has-error{
    .form-control{
        border-color: #dc3545 !important;
    }
  }

  label{
    i{
      color: #dc3545;
      font-size: 13px;
    }
  }
}

#loading-layer {display: block !important;background-color: #000;background-color: rgba(0,0,0,0.5);z-index:8888 !important;
  position: fixed;top: 0; left: 0; right: 0; bottom: 0;width: 100%; height: 100%; text-indent: -9999px;overflow: hidden;white-space: nowrap;}
#loading-layer:before, #loading-layer:after {content: "";border-radius: 50%;background-color: #fff;position: absolute;left: 50%; top: 50%;}
#loading-layer:before {width: 100px; height: 100px;margin: -50px 0 0 -50px;}
#loading-layer:after {width: 40px; height: 40px;background-color: #4e73df;margin: -20px 0 0 -20px;}
#loading-layer:before {animation: load1 1s infinite ease;}
#loading-layer:after {animation: load2 1s infinite -0.32s ease;}
@keyframes load1 {0%, 80%, 100% { transform: scale(1,1); } 40% { transform: scale(.6,.6); }}
@keyframes load2 {0%, 80%, 100% { transform: scale(1,1); } 40% { transform: scale(.5,.5); }}

